LINUX.ORG.RU

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

 , , ,


0

0

На сайте разработчиков, в вики, появились два столбца «Evergreen» и «Evergreen (RHD)». Evergreen - это кодовое название видеокарт с чипом R800 ( Radeon HD 5xxx ). Стоит отметить, что драйвер будет полнофункциональный. Вот некоторые фичи:

  • Поддержка OpenGL 3.2
  • Поддержка OpenCL, OpenVG (через Gallium3D)
  • Поддержка KMS, DDX, EXA, XvMC, DRI2
  • Поддержка HDMI-audio, DisplayPort, TV Out
  • Поддержка энергосбережения

Скорее всего, опять будут три ветки драйверов: Catalyst, radeon и radeonhd.

>>> Подробности

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

А когда допилят чтобы на старых картах (R300) хотя бы сраненькое 3D работало, там не говорят об этом?

e000xf000h ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Ждем кактусолоедателей из лагеря нвидии.

А что-то мне ни один фанбой АТИ до сих пор не ответил, когда же выпилят ЭТОТ баг/фичу?

e000xf000h ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

dri2 же правда с ним немного подтормаживает

anonymous ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Сужу по всплеску топиков проблем с нвидией на линуксовых форумах.

Статистику + пруфлинк в студию, иначе не было.

e000xf000h ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

dri2 же правда с ним немного подтормаживает

Да мне покласть с прибором на что оно там использует, когда баг починят? У кого катаглист и супер рабочие карточки от АТИ пускай попробуют так сделать и увидят. Закрыть половину окна шестеренок окном терминала.

Здесь-то как ни странно все работает нормально.

e000xf000h ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>А что-то мне ни один фанбой АТИ до сих пор не ответил, когда же выпилят ЭТОТ баг/фичу?

Телапаты Либастраловы, которые лечат по фотографии, очевидно заняты. Пока за них я.

1. Что за баг? В чем баг ? на скриншоте вывод программы glxgears с ключом который я первый раз в жизни вижу (если нужно узнать по фишки 3D используют glxinfo), и что ? glxgears никаким обрахом не бенчмарк, точнее меряет она по большому счету скорость копирования между back и front буферами.

2. Какое железо, lspci -vv, какое ядро, какой х сервер, вывод /var/log/messages, откуда взят mesa ? 3. почему спрашиваешь тут а не на IRC #radeon frenoode.org ? Забанили ?

anonymous ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

> Объясните nvidia-юзеру почему 3 ветки дров?

Ваше недоумение вызывает у меня недоумение. У нвидии та же хрень: nvidia -- проприетарный драйвер, nv -- свободный драйвер, написанный нвидией, nouveau -- свободный драйвер разрабатываемый сообществом.

GArik ★★★ ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

да не, у тебя наверное нвидия и не знаешь про этот эпик баг ати

anonymous ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>выпилят ЭТОТ баг/фичу?
подкажите тему плазмы и иконок со скрина

prizident ★★★★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>Про ускорение декодирования видео вообще хоть что-нибудь слышно?
не будет в ближайшем будущем. только на нвидии работает

prizident ★★★★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Телапаты Либастраловы, которые лечат по фотографии, очевидно заняты. Пока за них я.

В ссылку ткнуть ума не хватило?

Что за баг? В чем баг ?

На скриншоте явно видно.

на скриншоте вывод программы glxgears с ключом который я первый раз в жизни вижу

$ glxgears -h

Usage:

-display <displayname> set the display to run on -stereo run in stereo mode -fullscreen run in fullscreen mode

-info display OpenGL renderer info

-geometry WxH+X+Y window geometry

и что ?

На скриншоте видно что за карта, что за драйвера. [ Radeon m200X ]

glxgears никаким обрахом не бенчмарк, точнее меряет она по большому счету скорость копирования между back и front буферами.

Мне на это насРАТЬ

Какое железо, lspci -vv, какое ядро, какой х сервер, вывод /var/log/messages, откуда взят mesa ?

Ноутбук Samsung R40, ядро последнее 2.6.32.14, драйвера с офф реп. (Karmic Koala)

3. почему спрашиваешь тут а не на IRC #radeon frenoode.org ?

А толку? Баг длится на большом протяжении и в катаглисте это видел, в открытых это постоянно.

Забанили ?

Ты идиот?

e000xf000h ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

доделайте мне x1950 мою, чтоли.
А то opengl-composite не работает, например. Да и от игрушечек в wine все 'умирает' (нативные нормально идут).

NekoExMachina ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

подкажите тему плазмы и иконок со скрина

Скрин с АТИ

Neon Plasma theme by FRuiT + Neon Icon by FRuiT

панель окон DeKorator + neon-theme

скрин с нвидиа

Neon Icon + Bare Naked Theme

панель окон DeKorator + dust-theme

e000xf000h ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Тот кто писал новость - НЕ ПИШИ ИХ!!!

Драйвер RadeonHD не имеет ниакого отношения к 3d. В Gallium3d пока ничего нету для дров выше r500.

Короче драйвер xf86-video-ati и xf86-video-radeonhd ЭТО ВСЁ 2D дрова!!! И они почти одинаковые уже теперь... оба юзают AtomBIOS и т.д. смысл в RadeonHD вообще мало. 3d драйвера это Mesa. В её комплекте есть драйвер для r300-r500, драйвер для r600-r700 и ещё драйвер r300-r500 но работающий через фреймворк Gallium3D.

И не забывайте!!! Никакого 3д или быстрого 2д вы не получите без драйверов в вашем ядре ОС который обеспечивает DRI/DRI2,KMS и т.д. короче прямой доступ к железке и работа с памятью (помните про супер пупер менеджер памяти?).

Короче полноценный драйвер для видеокарточки на самом деле являеться 3мя почти незавизимыми драйверами из состава Kernel/DRM(в том числе Linux,*BSD,Haiku...), Mesa и X.org. Не надо в Новостях мешать всё в одну миску!

stalkerg ★★★★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

доделайте мне x1950 мою, чтоли.

Уф-ф, я свою 1900GT поменял на 7600GT, сейчас ворой картой стоит

$ lspci | grep VGA

01:00.0 VGA compatible controller: nVidia Corporation GeForce 9800 GT (rev a2)

02:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GT] (rev a1)

хочу её заменить на вторую 9800

e000xf000h ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

вообще- в принципе на ati я не жалуюсь, оно работает.
Не полностью, но работает.
И это хорошо.

NekoExMachina ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

вообще- в принципе на ati я не жалуюсь, оно работает. Не полностью, но работает. И это хорошо.

Уж лучше что нибудь, вместо ничего, мне к примеру на ноуте карту не сменить никак, только вместе с ноутом, но пока не могу, ноут рабочий. Я то же не жалуюсь, просто некоторые фанбои АТИ, уж слишком фанатичны.

e000xf000h ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>Я то же не жалуюсь, просто некоторые фанбои АТИ, уж слишком фанатичны.

После

>Мне на это насРАТЬ

Фанбоям ATI расхотелось разбираться с твоим глюком. Даже за деньги. У фанбоя работает, у хамла глючит и будет глючить - это же просто прекрасно.

anonymous ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>вообще- в принципе на ati я не жалуюсь, оно работает. Не полностью, но работает. И это хорошо.

Согласен!

GladAlex ★★★★★ ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

У меня не воспроизводится.

[em]> glxgears -info[/em]
GL_MAX_VIEWPORT_DIMS=4096/4096
GL_RENDERER   = Mesa DRI R200 20060602 AGP 8x x86/MMX+/3DNow!+/SSE TCL
GL_VERSION    = 1.3 Mesa 7.2
GL_VENDOR     = Tungsten Graphics, Inc.

В чём баг то? Шестерёнки на окошко налезают?

GladAlex ★★★★★ ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>А когда допилят чтобы на старых картах (R300) хотя бы сраненькое 3D работало, там не говорят об этом?

примерно года 3 как работает. ЧЯДНТ?

registrant ★★★★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Вот вот... вчера тока на демьяне обновил ядрышко до 2.6.31 и все прекрасно работает на открытых дровах с гномом и компизом. ЧЯДНТ?

daemonpnz ★★★★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>А OpenGL 1.4 будет?

Госпади, дай силы несчастным атишникам. У меня на древней как говно мамонта GeForce 7950 GT тыщу лет уже GL_VERSION = 2.1.2

Я вами восхищаюсь, правда. Столько мужества !

anonizmus ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>Короче полноценный драйвер для видеокарточки на самом деле являеться 3мя почти незавизимыми драйверами из состава Kernel/DRM(в том числе Linux,*BSD,Haiku...), Mesa и X.org. Не надо в Новостях мешать всё в одну миску!

совершенно согласен

timelle ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

> А что-то мне ни один фанбой АТИ до сих пор не ответил, когда же выпилят ЭТОТ баг/фичу?

Я не фанат ATI, пользуюсь, потому что такая карточка встроена в ноут. Тем не менее: http://img33.imageshack.us/content.php?page=done&l=img33/2470/screenshotg...

И, да, с конца лета где-то произошел просто скачок в качестве открытых дров - производительность 3D подскочила примерно в 6 раз что позволило нормально играть во все игрушки, которые до этого шли только с fglrx.

А толстые тролли вроде e000xf000h пусть сосут...

anonymous ()

Re: OpenSource драйвера для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>Сделали бы для Radeon HD4xxx для начала.

А что разве не работает? 2D есть, 3D делают(многое работает). Все что нужно это kernel-2.6.32/mesa-7.6/xf86-video-ati-dev/xorg-1.6

TheMixa ★★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

походу opengl выше 1.4 так и не дождаться на r500?

v0rbis ★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>Драйвера NVIDIA просто работают и не вызывают проблем. Что в этом плохого?

Плохого в этом то, что пользователи ати не умеют пользоваться документацией по своей карточке, а также не умеют пользоваться документацией по своему дистру.

А ведь для включения полноценного 3д достаточно ввести команду (в генту) "emerge ati-drivers && set opengl ati" и счастье у вас в доме :) Еще в помощь "aticonfig --initial --input=/etc/X11/xorg.conf" и "Xorg -configure".

Так нет, разведут кучу соплей вместо того, чтобы полезно провести время за чтением руководств.

Карточки старые? А зачем на старье 3д? Чем писать на форуме, лучше в это время пойти и заработать на новую, благо стоит копейки - даже вместе с новым ноутом :)

GluckMan ★★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

народ, небольшой оффтоп - хочу видуху атишную купить что нить типа ХД4650 но под AGP она нормуль заведется под fglrx...слышал что у них проблемы на новых картах с агп

rellai ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Мне зело интересно, как это дело в новых дистрах обстоять будет. Нуи, ессесна, сам вопрос - КОГДА ЖЕ выпустят сами дрова. А то кенту на древний ноут Тошу с АТИшной видюхой пытались рунту поставить - тормозит, самка собаки, что невозможно. Видюха атишная, какая - не помню.

QUANTUM ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

И, да, с конца лета где-то произошел просто скачок в качестве открытых дров - производительность 3D подскочила примерно в 6 раз что позволило нормально играть во все игрушки, которые до этого шли только с fglrx.

А толстые тролли вроде e000xf000h пусть сосут...

Самовнушение страшная штука, фанбои такие фанбои.

карточка встроена в ноут

Модель ноута в студию + версию ядра, или не было.

e000xf000h ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Про фанбоев, это вы про себя что ли?! Самокритичненько, однако!

daemonpnz ★★★★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

> Боже какие тут безграмотные линусодарасы живут. Запомните: драйверЫЫЫЫЫЫЫЫ!

http://www.amd.com/ru-ru/SupportDrivers/ProcessorSupport/0,,15218_15219,00.html

Ищем по слову "драйвер". А вы говорите "линупсоеды, линупсоеды".

dm1024 ★★★ ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Выходите из анабиоза:

kms + dri2 и будет все ок.

B084 ★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

"emerge -uD @зарплата" сначала, а потом рассуждать что и ноут можно новый купить, и видяхи то копейка пучок стоят.

я ушел с fglrx сразу как последний из их релизов перестал поддерживать новый ксорг, да-да, не сразу как они дропнули у себя, а именно когда уже последний рабочий драйвер перестал работать в новом окружении.

v0rbis ★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Про фанбоев, это вы про себя что ли?! Самокритичненько, однако!

Да нет, про тебя и ей же с ними.

Это сделано на Intel'е.

e000xf000h ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

kms + dri2 и будет все ок.

С разморозкой вас, «kms + dri2» уже использую.

e000xf000h ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>Самовнушение страшная штука, фанбои такие фанбои.

Как я уже сказал, я не фанбой, на десктопе жены у меня стоит Nvidia 7600GT и абсолютно ничего плохого я про нее сказать не могу. А вот на ATI весной матерился ОЧЕНЬ сильно и долго за прекращение поддержки моей видеокарты в fglrx. Но прошло время и ситуация с открытыми драйверами ATI на сегодня такова, что следующая видеокарта будет однозначно этой фирмы...

> Модель ноута в студию + версию ядра, или не было.

Ишь ты, как задергался, толстячок, когда в лужу посадили. А просто не надо было вякать про то, в чем нихрена не разбираешься... ^_^ Так вот, модель ноута Dell Inspiron 1501, видеокарта Radeon X1250 (RS400). Драйвера видео из Xorg-edgers на Launchpad PPA. Остальное видно на скриншоте: http://img44.imageshack.us/img44/2320/dell1501.png

anonymous ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

И в каком это месте?

По скриншоту явно видно, никакого DRI2 нет.

B084 ★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Интересно, автор впервые заглянул на вики ксорга? Ничего не поменялось, а обсуждение раздулось... Троллинг начинается уже от самой новости, внимательнее надо быть . В табличке четко написано - где хозяйствует DDX-драйвер, а где Mesa. Ну и про ведро знать надо, что DRM-модуль за весь реальный процесс отображения отвечает (в т.ч. и за 2D)

Fat_Green_Liar ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>/me для своей ati ждет 3d уже фигову тучу времени...

Для своей карточки 3д скорее всего не дождешься. Такая у ати политика - забиваем на поддержку старых карточек чтоб быстрее покупали новые. За прошедшие два года многие по три карточки сменить успели

DNA_Seq ★★☆☆☆ ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

Сдаётся мне, что это глюк KDE/Qt, а не драйверов... потому как у меня, например не воспроизводится

TOHbl4 ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

ATI Mobility Radeon HD 4330
Fedora 11
kernel 2.6.30.8 x86_64
X Server 1.6.3.901 (1.6.4 RC 1)
драйвер radeon
Mesa 7.6-devel

=>

OpenGL version string: 2.1
Xv работает прекрасно
такого быстрого 2D даже на нвидиевских топ-картах не видел

так что пора толстячков банить

PayableOnDeath ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>Карточки старые? А зачем на старье 3д? Чем писать на форуме, лучше в это время пойти и заработать на новую, благо стоит копейки - даже вместе с новым ноутом :)

Если меня во всём устраивает моя Radeon 9550, зачем мне вкладываться в железо, о железный маньяк? Не лучше ли прикупить что-то более полезное, чем видеокарту, нэ?

ЗЫЖ mesa-9999 && ati-drivers-9999 && libdrm-9999 && gentoo-sources-2.6.31 + KMS / DRI2. всё устраивает.
и больше никакого проприетарного [censored], с которым в своё время намучался вдоволь. ATI сделали одолжение, прекратив поддержку своего катаглиста на R300 и иже с ними.

mcdebugger ★★ ()

OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

>ati-drivers-9999 наверное xf86-video-ati-9999?! не?!

daemonpnz ★★★★★ ()

Re: OpenSource драйверы для ATI видеокарт будут поддерживать самые старшие модели — Radeon HD 5xxx

> OpenGL version string: 2.1

У тебя программный рендеринг. 3D ускорение видюхи не задействовано.

Root-msk ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.